## play.it-adventure 2024-09

=== Makefile ===
collection_name = 45_adventure

UID := $(shell id --user)

ifeq ($(UID),0)
    prefix = /usr/local
    datadir = $(prefix)/share/games
else
    ifeq ($(XDG_DATA_HOME),)
        XDG_DATA_HOME := $(HOME)/.local/share
    endif
    prefix = $(XDG_DATA_HOME)
    datadir = $(prefix)
endif
gamesdir = $(DESTDIR)$(datadir)/play.it/games

# Install the game scripts

.PHONY: install uninstall

install:
	install -D --mode=755 --target-directory=$(gamesdir)/$(collection_name) games/*

uninstall:
	rm $(gamesdir)/$(collection_name)/play-*.sh
	rmdir -p --ignore-fail-on-non-empty $(gamesdir)/$(collection_name)

# Generate tarballs, for easier packaging

.PHONY: dist

## The generated tarball is signed with gpg by default,
## NO_SIGN should be set to a non-0 value to skip the signature.
NO_SIGN := 0

dist: DATE := $(shell date +%F)
dist: TARBALL := $(collection_name)_$(DATE).tar.gz
dist: TAR_OPTIONS := --sort=name --mtime=2023-08-25 --owner=root:0 --group=root:0 --use-compress-program='gzip --no-name'
dist: games/*.sh LICENSE Makefile README.md
	mkdir --parents dist
	LC_ALL=C tar cf dist/$(TARBALL) $(TAR_OPTIONS) games/*.sh LICENSE Makefile README.md
ifeq ($(NO_SIGN),0)
	rm --force dist/$(TARBALL).asc
	gpg --armor --detach-sign dist/$(TARBALL)
endif

# Run syntax checks, relying on ShellCheck

GAME_SCRIPTS := $(wildcard games/play-*.sh)
GAME_SCRIPTS_TESTS := $(addprefix shellcheck_, $(GAME_SCRIPTS))
.PHONY: check $(GAME_SCRIPTS_TESTS)
check: $(GAME_SCRIPTS_TESTS)

$(GAME_SCRIPTS_TESTS): SHELLCHECK_SOURCES := /usr/share/games/play.it:/usr/share/play.it
## This is a unicode quote. Delete and retype it (or ignore/doublequote for literal).
$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC1112
## Expressions don't expand in single quotes, use double quotes for that.
$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2016
## foo appears unused. Verify it or export it.
$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2034
## Quote this to prevent word splitting.
$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2046
## Don't use variables in the printf format string. Use printf '..%s..' "$foo".
$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2059
## Double quote to prevent globbing and word splitting.
$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2086
## In POSIX sh, 'local' is undefined.
$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC3043
$(GAME_SCRIPTS_TESTS): shellcheck_%: %
	shellcheck --extended-analysis=false --external-sources --source-path=$(SHELLCHECK_SOURCES) $(SHELLCHECK_EXCLUDE) $<

## play.it-adventure 2024-09-19

=== debian/changelog ===
play.it-adventure (2024-09-19-3) unstable; urgency=medium

  * Fix the autopkgtest setup (for real this time)

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Tue, 08 Oct 2024 00:19:19 +0200

play.it-adventure (2024-09-19-2) unstable; urgency=medium

  * Fix the Vcs-* URLs
  * Fix the autopkgtest setup

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Mon, 07 Oct 2024 02:49:08 +0200

play.it-adventure (2024-09-19-1) unstable; urgency=medium

  * Initial release. (Closes: #1082376)

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Thu, 26 Sep 2024 15:18:16 +0200

=== debian/control ===
Source: play.it-adventure
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Antoine Le Gonidec <debian@dotslashplay.it>,
Build-Depends:
 debhelper-compat (= 13),
 play.it <!nocheck>,
 shellcheck <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://git.dotslashplay.it/games-adventure/about/
Vcs-Git: https://salsa.debian.org/games-team/play.it-adventure.git
Vcs-Browser: https://salsa.debian.org/games-team/play.it-adventure
Rules-Requires-Root: no

Package: play.it-adventure
Architecture: all
Depends:
 play.it (>= 2.25.4-1),
 ${misc:Depends},
Description: Collection of game scripts used by ./play.it
 play.it is a free software building native packages from installers for
 Windows or Linux, mainly those sold by stores focusing on DRM-free games
 distribution. The goal is that a game installed via ./play.it is
 indistinguishable from a game installed via the official repositories of your
 favourite distribution.
 .
 This specific collection includes only adventure games. These games usually
 focus on the narrative and should require no fast action from the player. Aside
 from the narrative, the main drives for the player should be exploration and
 problem solving.

=== debian/tests/control ===
Tests: upstream-tests.sh
Depends: @, play.it, shellcheck

=== debian/watch ===
version=4

opts="pgpmode=next" \
  https://downloads.dotslashplay.it/games-collections/adventure/ \
  (?:.*/)45_adventure_@ANY_VERSION@@ARCHIVE_EXT@

opts="pgpmode=previous" \
  https://downloads.dotslashplay.it/games-collections/adventure/ \
  (?:.*/)45_adventure_@ANY_VERSION@@SIGNATURE_EXT@ \
  previous

## play.it-adventure 2025-03

=== Makefile ===
--- 
+++ 
@@ -12,18 +12,18 @@
     prefix = $(XDG_DATA_HOME)
     datadir = $(prefix)
 endif
-gamesdir = $(DESTDIR)$(datadir)/play.it/games
+collections_path = $(DESTDIR)$(datadir)/play.it/collections
 
 # Install the game scripts
 
 .PHONY: install uninstall
 
 install:
-	install -D --mode=755 --target-directory=$(gamesdir)/$(collection_name) games/*
+	install -D --mode=755 --target-directory=$(collections_path)/$(collection_name) games/*
 
 uninstall:
-	rm $(gamesdir)/$(collection_name)/play-*.sh
-	rmdir -p --ignore-fail-on-non-empty $(gamesdir)/$(collection_name)
+	rm $(collections_path)/$(collection_name)/play-*.sh
+	rmdir -p --ignore-fail-on-non-empty $(collections_path)/$(collection_name)
 
 # Generate tarballs, for easier packaging
 
@@ -58,12 +58,8 @@
 $(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2016
 ## foo appears unused. Verify it or export it.
 $(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2034
-## Quote this to prevent word splitting.
-$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2046
 ## Don't use variables in the printf format string. Use printf '..%s..' "$foo".
 $(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2059
-## Double quote to prevent globbing and word splitting.
-$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2086
 ## In POSIX sh, 'local' is undefined.
 $(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC3043
 $(GAME_SCRIPTS_TESTS): shellcheck_%: %

## play.it-adventure 2025-03-03

=== debian/changelog ===
play.it-adventure (2025-03-03-2) unstable; urgency=medium

  * Drop the autopkgtest tests suite.
  * Update Uploader email.

 -- Antoine Le Gonidec <debian@vv221.fr>  Tue, 18 Mar 2025 21:45:24 +0100

play.it-adventure (2025-03-03-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump Standards-Version to 4.7.2.
  * Add Suggests: games-adventure.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Tue, 04 Mar 2025 16:11:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Antoine Le Gonidec <debian@dotslashplay.it>,
+ Antoine Le Gonidec <debian@vv221.fr>,
 Build-Depends:
  debhelper-compat (= 13),
  play.it <!nocheck>,
  shellcheck <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://git.dotslashplay.it/games-adventure/about/
 Vcs-Git: https://salsa.debian.org/games-team/play.it-adventure.git
 Vcs-Browser: https://salsa.debian.org/games-team/play.it-adventure
@@ -19,6 +19,8 @@
 Depends:
  play.it (>= 2.25.4-1),
  ${misc:Depends},
+Suggests:
+ games-adventure,
 Description: Collection of game scripts used by ./play.it
  play.it is a free software building native packages from installers for
  Windows or Linux, mainly those sold by stores focusing on DRM-free games

## play.it-adventure 2025-08-10

=== debian/changelog ===
play.it-adventure (2025-08-10-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update uploader e-mail.
  * Update upstream contact e-mail.
  * Update package short description.
  * Drop git-buildpackage configuration.
  * Install upstream documentation.
  * Add upstream metadata.

 -- Antoine Le Gonidec <vv221@debian.org>  Mon, 11 Aug 2025 22:09:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Antoine Le Gonidec <debian@vv221.fr>,
+ Antoine Le Gonidec <vv221@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  play.it <!nocheck>,
@@ -21,7 +21,7 @@
  ${misc:Depends},
 Suggests:
  games-adventure,
-Description: Collection of game scripts used by ./play.it
+Description: ./play.it collection - Adventure games
  play.it is a free software building native packages from installers for
  Windows or Linux, mainly those sold by stores focusing on DRM-free games
  distribution. The goal is that a game installed via ./play.it is

## play.it-adventure 2025-09-19

=== debian/changelog ===
play.it-adventure (2025-09-19-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update debian/watch to version 5 format.
  * Update upstream authors list.
  * Drop obsolete field Rules-Requires-Root.

 -- Antoine Le Gonidec <vv221@debian.org>  Fri, 19 Sep 2025 21:47:56 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
 Homepage: https://git.dotslashplay.it/games-adventure/about/
 Vcs-Git: https://salsa.debian.org/games-team/play.it-adventure.git
 Vcs-Browser: https://salsa.debian.org/games-team/play.it-adventure
-Rules-Requires-Root: no
 
 Package: play.it-adventure
 Architecture: all

## play.it-adventure 2025-10

=== Makefile ===
--- 
+++ 
@@ -36,19 +36,26 @@
 dist: DATE := $(shell date +%F)
 dist: TARBALL := $(collection_name)_$(DATE).tar.gz
 dist: TAR_OPTIONS := --sort=name --mtime=2023-08-25 --owner=root:0 --group=root:0 --use-compress-program='gzip --no-name'
-dist: games/*.sh LICENSE Makefile README.md
+dist: games/*.sh tests/check-license.sh LICENSE Makefile README.md
 	mkdir --parents dist
-	LC_ALL=C tar cf dist/$(TARBALL) $(TAR_OPTIONS) games/*.sh LICENSE Makefile README.md
+	LC_ALL=C tar cf dist/$(TARBALL) $(TAR_OPTIONS) games/*.sh tests/check-license.sh LICENSE Makefile README.md
 ifeq ($(NO_SIGN),0)
 	rm --force dist/$(TARBALL).asc
 	gpg --armor --detach-sign dist/$(TARBALL)
 endif
 
+# Run license check, to ensure no contributor is missing
+
+.PHONY: check check-license
+check: check-license
+check-license:
+	./tests/check-license.sh
+
 # Run syntax checks, relying on ShellCheck
 
 GAME_SCRIPTS := $(wildcard games/play-*.sh)
 GAME_SCRIPTS_TESTS := $(addprefix shellcheck_, $(GAME_SCRIPTS))
-.PHONY: check $(GAME_SCRIPTS_TESTS)
+.PHONY: $(GAME_SCRIPTS_TESTS)
 check: $(GAME_SCRIPTS_TESTS)
 
 $(GAME_SCRIPTS_TESTS): SHELLCHECK_SOURCES := /usr/share/games/play.it:/usr/share/play.it

## play.it-adventure 2025-10-21

=== debian/changelog ===
play.it-adventure (2025-10-21-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop obsolete field Priority.

 -- Antoine Le Gonidec <vv221@debian.org>  Tue, 21 Oct 2025 17:32:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: play.it-adventure
 Section: contrib/games
-Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Antoine Le Gonidec <vv221@debian.org>,

=== debian/watch ===
Version: 5

Source: https://downloads.dotslashplay.it/games-collections/adventure/
Matching-Pattern: 45_adventure_@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s%$%.asc%

## play.it-adventure 2025-11-25

=== debian/changelog ===
play.it-adventure (2025-11-25-2) unstable; urgency=medium

  * Orphan the package.
  * Add an explicit copyright notice for Debian packaging files.
  * Update URL to canonical packaging repository.

 -- Antoine Le Gonidec <vv221@debian.org>  Sun, 15 Feb 2026 14:51:08 +0100

play.it-adventure (2025-11-25-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Antoine Le Gonidec <vv221@debian.org>  Tue, 25 Nov 2025 19:14:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: play.it-adventure
 Section: contrib/games
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders:
- Antoine Le Gonidec <vv221@debian.org>,
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Standards-Version: 4.7.2
+Homepage: https://git.dotslashplay.it/games-adventure/about/
+Vcs-Browser: https://salsa.debian.org/games-team/play.it-adventure/
+Vcs-Git: https://salsa.debian.org/games-team/play.it-adventure.git
 Build-Depends:
  debhelper-compat (= 13),
  play.it <!nocheck>,
  shellcheck <!nocheck>,
-Standards-Version: 4.7.2
-Homepage: https://git.dotslashplay.it/games-adventure/about/
-Vcs-Git: https://salsa.debian.org/games-team/play.it-adventure.git
-Vcs-Browser: https://salsa.debian.org/games-team/play.it-adventure
 
 Package: play.it-adventure
 Architecture: all
